| Home | Libraries | People | FAQ | More

## Struct template bitwise_xor_assign

boost::proto::bitwise_xor_assign — A metafunction for generating bitwise-xor-assign expression types, a grammar element for matching bitwise-xor-assign expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct bitwise_xor_assign :  proto::transform< bitwise_xor_assign<T, U> > {
      // types
      typedef proto::expr< proto::tag::bitwise_xor_assign, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::bitwise_xor_assign, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::pass_through<bitwise_xor_assign>::template impl<Expr, State, Data>
      {
      };
    };

## Description